Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1331971 - wrong result with self SPF check
Summary: wrong result with self SPF check
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: opendmarc
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Jenkins
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-30 17:16 UTC by Rolf Fokkens
Modified: 2017-01-06 05:05 UTC (History)
1 user (show)

Fixed In Version: opendmarc-1.3.2-0.12.fc24 opendmarc-1.3.2-0.12.el6 opendmarc-1.3.2-0.12.el5 opendmarc-1.3.2-0.12.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-31 08:22:43 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Fix for the issue (deleted)
2016-04-30 17:16 UTC, Rolf Fokkens
no flags Details | Diff

Description Rolf Fokkens 2016-04-30 17:16:08 UTC
Created attachment 1152637 [details]
Fix for the issue

Description of problem:

If I send a mail that doesn't pass SPF policy, the internal SPFSelfValidate=true check says "pass" also when it should fail.

Version-Release number of selected component (if applicable):
opendmarc-1.3.1-13.el7.centos

How reproducible:
100%

Steps to Reproduce:
1. Send an email that does not pass SPF
2. See opendmarc log SPF as pass in mail header
3. See opendmarc log DMARC as fail thogh

Actual results:
SPF pass in mail header

Expected results:
SPF fail in mail header

Additional info:
https://sourceforge.net/p/opendmarc/tickets/148/

Comment 1 Fedora Update System 2016-07-20 20:02:08 UTC
opendmarc-1.3.2-0.2.beta0.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5d4aaf0511

Comment 2 Fedora Update System 2016-07-20 20:02:22 UTC
opendmarc-1.3.2-0.2.beta0.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-efcca8fd58

Comment 3 Fedora Update System 2016-07-20 20:02:32 UTC
opendmarc-1.3.2-0.2.beta0.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4995ba1d4e

Comment 4 Fedora Update System 2016-07-20 20:02:40 UTC
opendmarc-1.3.2-0.2.beta0.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8f0c68ee0f

Comment 5 Fedora Update System 2016-07-20 20:02:51 UTC
opendmarc-1.3.2-0.2.beta0.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-cb2d43c2ff

Comment 6 Fedora Update System 2016-07-21 18:48:54 UTC
opendmarc-1.3.2-0.2.beta0.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5d4aaf0511

Comment 7 Fedora Update System 2016-07-21 18:53:50 UTC
opendmarc-1.3.2-0.2.beta0.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-efcca8fd58

Comment 8 Fedora Update System 2016-07-21 23:48:32 UTC
opendmarc-1.3.2-0.2.beta0.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4995ba1d4e

Comment 9 Fedora Update System 2016-07-21 23:48:35 UTC
opendmarc-1.3.2-0.2.beta0.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-cb2d43c2ff

Comment 10 Fedora Update System 2016-07-21 23:49:54 UTC
opendmarc-1.3.2-0.2.beta0.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8f0c68ee0f

Comment 11 Fedora Update System 2016-07-24 03:32:26 UTC
opendmarc-1.3.2-0.4.beta0.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-aec31f8353

Comment 12 Fedora Update System 2016-07-24 03:32:44 UTC
opendmarc-1.3.2-0.4.beta0.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d33719d6aa

Comment 13 Fedora Update System 2016-07-24 03:32:57 UTC
opendmarc-1.3.2-0.4.beta0.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-bf7754d754

Comment 14 Fedora Update System 2016-07-24 03:33:11 UTC
opendmarc-1.3.2-0.4.beta0.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1cf451a928

Comment 15 Fedora Update System 2016-07-24 03:33:24 UTC
opendmarc-1.3.2-0.4.beta0.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-50f04d5159

Comment 16 Fedora Update System 2016-07-24 22:48:49 UTC
opendmarc-1.3.2-0.4.beta0.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d33719d6aa

Comment 17 Fedora Update System 2016-07-24 22:52:40 UTC
opendmarc-1.3.2-0.4.beta0.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1cf451a928

Comment 18 Fedora Update System 2016-07-25 03:45:31 UTC
opendmarc-1.3.2-0.4.beta0.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-50f04d5159

Comment 19 Fedora Update System 2016-07-25 03:47:47 UTC
opendmarc-1.3.2-0.4.beta0.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-bf7754d754

Comment 20 Fedora Update System 2016-07-25 03:48:01 UTC
opendmarc-1.3.2-0.4.beta0.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-aec31f8353

Comment 21 Fedora Update System 2016-11-24 22:28:56 UTC
opendmarc-1.3.2-0.7.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-16c55d3061

Comment 22 Fedora Update System 2016-11-24 22:29:22 UTC
opendmarc-1.3.2-0.7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 23 Fedora Update System 2016-11-24 22:29:41 UTC
opendmarc-1.3.2-0.7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e94f822499

Comment 24 Fedora Update System 2016-11-24 22:30:00 UTC
opendmarc-1.3.2-0.7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 25 Fedora Update System 2016-11-24 22:30:26 UTC
opendmarc-1.3.2-0.7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 26 Fedora Update System 2016-11-27 08:48:06 UTC
opendmarc-1.3.2-0.7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 27 Fedora Update System 2016-11-27 16:24:53 UTC
opendmarc-1.3.2-0.7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 28 Fedora Update System 2016-11-27 17:26:29 UTC
opendmarc-1.3.2-0.7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e94f822499

Comment 29 Fedora Update System 2016-11-28 01:55:42 UTC
opendmarc-1.3.2-0.7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 30 Fedora Update System 2016-11-28 08:18:59 UTC
opendmarc-1.3.2-0.7.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-16c55d3061

Comment 31 Rolf Fokkens 2016-12-05 15:20:45 UTC
Thx. Problem solved for me.

Comment 32 Fedora Update System 2016-12-13 03:12:52 UTC
opendmarc-1.3.2-0.8.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 33 Fedora Update System 2016-12-13 03:15:42 UTC
opendmarc-1.3.2-0.8.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 34 Fedora Update System 2016-12-13 03:17:41 UTC
opendmarc-1.3.2-0.8.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 35 Fedora Update System 2016-12-13 20:18:36 UTC
opendmarc-1.3.2-0.10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e94f822499

Comment 36 Fedora Update System 2016-12-13 20:19:16 UTC
opendmarc-1.3.2-0.10.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-16c55d3061

Comment 37 Fedora Update System 2016-12-14 02:23:31 UTC
opendmarc-1.3.2-0.8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 38 Fedora Update System 2016-12-14 02:31:13 UTC
opendmarc-1.3.2-0.10.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 39 Fedora Update System 2016-12-14 03:49:29 UTC
opendmarc-1.3.2-0.8.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 40 Fedora Update System 2016-12-14 03:50:03 UTC
opendmarc-1.3.2-0.8.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 41 Fedora Update System 2016-12-14 17:28:57 UTC
opendmarc-1.3.2-0.10.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 42 Fedora Update System 2016-12-14 17:35:01 UTC
opendmarc-1.3.2-0.10.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 43 Fedora Update System 2016-12-15 02:27:56 UTC
opendmarc-1.3.2-0.10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e94f822499

Comment 44 Fedora Update System 2016-12-15 02:46:27 UTC
opendmarc-1.3.2-0.10.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-16c55d3061

Comment 45 Fedora Update System 2016-12-15 02:48:57 UTC
opendmarc-1.3.2-0.10.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 46 Fedora Update System 2016-12-15 02:49:50 UTC
opendmarc-1.3.2-0.10.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 47 Fedora Update System 2016-12-15 05:02:38 UTC
opendmarc-1.3.2-0.10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 48 Fedora Update System 2016-12-20 02:07:26 UTC
opendmarc-1.3.2-0.12.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 49 Fedora Update System 2016-12-20 02:08:00 UTC
opendmarc-1.3.2-0.12.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 50 Fedora Update System 2016-12-20 02:09:18 UTC
opendmarc-1.3.2-0.12.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e94f822499

Comment 51 Fedora Update System 2016-12-20 02:10:43 UTC
opendmarc-1.3.2-0.12.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 52 Fedora Update System 2016-12-20 02:11:44 UTC
opendmarc-1.3.2-0.12.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-16c55d3061

Comment 53 Fedora Update System 2016-12-20 19:21:32 UTC
opendmarc-1.3.2-0.12.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 54 Fedora Update System 2016-12-20 20:47:23 UTC
opendmarc-1.3.2-0.12.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-16c55d3061

Comment 55 Fedora Update System 2016-12-20 20:47:29 UTC
opendmarc-1.3.2-0.12.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 56 Fedora Update System 2016-12-20 20:49:00 UTC
opendmarc-1.3.2-0.12.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 57 Fedora Update System 2016-12-31 08:22:43 UTC
opendmarc-1.3.2-0.12.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 58 Fedora Update System 2017-01-05 18:47:02 UTC
opendmarc-1.3.2-0.12.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 59 Fedora Update System 2017-01-06 00:19:32 UTC
opendmarc-1.3.2-0.12.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 60 Fedora Update System 2017-01-06 05:05:12 UTC
opendmarc-1.3.2-0.12.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.